Create cssrcdetect script

01/14/2016 08:43 AM - Knödlseder Jürgen

Status: Closed Start date: 12/01/2016

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.2.0   

Description

The ctfindsrc tool shall search for sources in a sky map and generate a model definition XML file that can be used in a model fitting

(see SRD, version 1.1, section 2.7.1.10).

History

#1 - 12/01/2016 11:52 AM - Knödlseder Jürgen

- Assigned To set to Knödlseder Jürgen

- Target version set to 1.2.0

- Start date set to 12/01/2016

I propose to implement the tool as cscript and to call the script to cssrcdetect.

The script should take on input a sky map generated by ctskymap. The script should then apply different filters to the skymap to find both point-like

and extended source. The easiest filter is a disk with variable size. The source detection should be done by computing the significance of each pixel

the filtered sky map, and by finding all pixels above a given significance threshold.

The pixels should then be converted into a model definition XML file and a ds9 region file. The latter will allow to visualize the detected sources on top

of a sky map.

It should also be investigated how the information can be published as a catalogue over VO, so that the detected sources can be overlaid over an

image using for example Aladin.

#2 - 12/02/2016 10:57 AM - Knödlseder Jürgen

- Subject changed from Create ctfindsrc tool to Create cssrcdetect script

- Status changed from New to Closed

- % Done changed from 0 to 100

An initial version of the cssrcdetect script was merged into the devel branch.

The script is based on an iterative peak detection method that searches for peaks in the sky map above a given threshold. The threshold is based on

the mean number of counts in each pixel and its standard deviation. The task parameter threshold specifies how many standard deviations above the

mean pixel intensity a source must achieve to be detected.

All detected sources are written in a model definition XML file. In addition, they are also written into a DS9 region file so that their position can be

overlaid over a sky map. Optionally, a background model can be added to the model definition XML file, so that the file can be directly used for a ctlike

run.

Reference documentation and unit tests have been also added.
